### Method

# PapersView Job cancel

#### Declaration [src]

    void
    pps_job_cancel (
      PpsJob* job
    )

#### Description [src]

Cancels the specified job if it has not already been cancelled.

This function updates the job’s state to indicate it has been cancelled, cancels any associated cancellable object, and emits a CANCELLED signal. It does nothing if the job is already cancelled or finished.

This function should not be called from a thread.